Part Kegel

From FreeCAD Documentation
Revision as of 08:56, 4 March 2022 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Part Kegel

Menüeintrag
Formteil → Grundkörper → Kegel
Arbeitsbereich
Part
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundkörper

Beschreibung

Ein parametrischer abgeschnittener Part Kegelgrundkörper ist im Part Arbeitsbereich über die Part Werkzeugleiste, das Part Menü (Untermenü Grundkörper) und das Grundkörper erstellen Dialogfeld verfügbar.

The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its DatenRadius1 or DatenRadius2 property to zero. It can be turned into a segment of a cone by changing its DatenAngle property.

Anwendung

  1. Wechsle zum Part-Arbeitsbereich.
  2. Es gibt zwei Wege, den Befehl aufzurufen:

Example

Part Cone from the scripting example

A Part Cone object created with the scripting example below is shown here.

Notes

  • A Part Cone can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Eigenschaften

See also: Property editor.

A Part Cone object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cone

  • DatenRadius 1: Radius des Bogens oder Kreises, der die untere Fläche definiert
  • DatenRadius 2: Radius des Bogens oder Kreises, der die obere Fläche definiert
  • DatenHöhe: die Höhe des Teilkegels
  • DatenWinkel: die Anzahl der Grad des Bogens oder der Kreise, die die obere und untere Fläche des Kegelstumpfes definieren. Der Standardwert 360 erzeugt kreisförmige Flächen, ein niedrigerer Wert erzeugt einen Teil eines Kegels, der durch obere und untere Flächen definiert ist, deren Kanten jeweils durch einen Bogen mit der Anzahl der Grad und zwei Radien definiert sind.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cone can be created with the addObject() method of the document:

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • Where "myCone" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))

doc.recompute()